Сайт | Скачать | Видео | Wiki

Автор Тема: XFCE410 для дистрибутива 13.10  (Прочитано 21679 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн andy-voit

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 1251
  • Репутация: +60/-0
  • Расту!!!
XFCE410 для дистрибутива 13.10
« : 03 Февраль 2013, 20:44:44 »
http://yadi.sk/d/6ul80XxHBzDoA - модуль, сделанный на основе модуля Icewm, только вместо icewm и rox положен xfce (добавил поддержку 7z,поиск файлов, распаковку pet и hash. Lxterminal вместо urxvt, правка панели управления, добавлен psync -синхронизация времени по интернет - перезалил 2.11.13)

Использование: в каталоге packages удалить модуль puppyrus-icewm-13.10.pfs и положить взамен этот модуль.

Тема оформления. Размещается рядом с модулем xfce - преимущество такого разделения в том, что он легко извлекается и перебирается под себя. Файл не является обязательным, без него будет просто "по умолчанию"

http://yadi.sk/d/38iKcXFABzEXw

архив модулей:
puppyrus-xfce-13.03.pfs
puppyrus-xfce-13.02.pfs

« Последнее редактирование: 02 Ноябрь 2013, 12:04:16 от andy-voit »
XFCE forever!!!
Перешел на приставку 3vi. Теперь издеваюсь над ней! :)

Оффлайн Zay

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 1538
  • Репутация: +25/-0
Re:XFCE410 для дистрибутива 13.01
« Ответ #1 : 03 Февраль 2013, 20:54:21 »
Размещается рядом с модулем xfce - преимущество такого разделения в том, что он легко извлекается и перебирается под себя.
А почему бы не собрать их вместе с помощью pfsmerge (или GUI к нему) ?

Оффлайн andy-voit

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 1251
  • Репутация: +60/-0
  • Расту!!!
Re:XFCE410 для дистрибутива 13.01
« Ответ #2 : 03 Февраль 2013, 21:55:53 »
Намеренно. Что бы не разбирать. Что бы менять по нескольку раз на дню в зависимости от настроения. Оформление вообще меняется гораздо чаще чем программы. Можно вообще тему выкинуть-будет настройка по умолчанию. То есть этот файл обязательным не является.
« Последнее редактирование: 11 Март 2013, 05:12:16 от andy-voit »
XFCE forever!!!
Перешел на приставку 3vi. Теперь издеваюсь над ней! :)

Оффлайн valentin

  • Ветеран
  • *****
  • Сообщений: 562
  • Репутация: +20/-0
Re:XFCE410 для дистрибутива 13.01
« Ответ #3 : 03 Февраль 2013, 23:26:03 »
 Спасибо!  Да, уж, обоина на Decktope освежает и бодрит  :D .  Заодно испытал и freetype-2.4.11-i486.pfs - с ней  работает полный хинтинг и при одинаковых настройках шрифты отрисовывает так-же, как в Ivanna.

С ручным подключением/отключением .sfs  какой-то глюк, но разбираться  сегодня уже некогда , завтра на работу  :'(
И еще, может поможет в дальнейшем совершенствовании : из bootsysinit.log:xfce4-panel: error while loading shared libraries: libEGL.so.1: cannot open shared object file: No such file or directory и полностью xerrs.log.
« Последнее редактирование: 03 Февраль 2013, 23:55:50 от valentin »
Система:  Athlon XP 2500+  512RAM  Radeon9600

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10022
  • Репутация: +103/-0
Re:XFCE410 для дистрибутива 13.01
« Ответ #4 : 04 Февраль 2013, 01:48:59 »
Цитировать
xfce4-panel: error while loading shared libraries: libEGL.so.1: cannot open shared object file: No such file or directory
нестрашно, Mesa будет - уйдет ошибка.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн RoDoN

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 5544
  • Репутация: +122/-0
    • RoDoN
Re:XFCE410 для дистрибутива 13.01
« Ответ #5 : 04 Февраль 2013, 16:21:41 »
Понравилось +. Но на первый взгляд есть некоторые шероховатости:
- В Панели управления нет XFCE, но есть кнопка настройки IceWM, значит скрипт  /usr/sbin/ice_config.sh есть в системе, потому что Pro упорно не хочет перенести его из базы в пакет IceWM-1.3.7.pfs
- В PSD надо бы версию 12.12 на 13.01 поправить.
- Корзины нет в панели, хоть место для нее есть рядом с индикатором батареи и на раб.стол корзина тоже не добавляется.
- В меню по ПКМ на раб.столе теперь нет внизу пункта с "Главным меню", имхо с ним было удобно.

З.Ы. Маленькое замечание, если ставить себе XFCE, то очень желательно делать себе новую сохраненку, т.к. при использовании сохраненки от IceWM некоторые значки не находятся (крестики в менюшках) и вообще может проявиться что-нить непредвиденное  ;)
« Последнее редактирование: 05 Февраль 2013, 17:51:17 от RoDoN »

Acer Aspire One AO751h (Atom Z520, Intel GMA500)
Acer Extensa 5620Z (T7500, Intel 965GM)
PuppyRus-JWM-13.12, PRA, Upup Precise, Tahr Puppy, Runtu 14.04 XFCE.

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10022
  • Репутация: +103/-0
Re:XFCE410 для дистрибутива 13.01
« Ответ #6 : 04 Февраль 2013, 16:31:01 »
что значит упорно не хочет, насчет этого файла не заявлялось нигде.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн RoDoN

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 5544
  • Репутация: +122/-0
    • RoDoN
Re:XFCE410 для дистрибутива 13.01
« Ответ #7 : 04 Февраль 2013, 17:19:45 »
Если я правильно понял, то базовый модуль сделан абсолютно без WM и без ROX, т.е. можно и нужно прикручивать свое, что нравится, WM или DE , но тогда и эти файлы тоже надо почистить:
...
/usr/sbin/ice_config.sh  - нужен только для настройки  IceWM

Acer Aspire One AO751h (Atom Z520, Intel GMA500)
Acer Extensa 5620Z (T7500, Intel 965GM)
PuppyRus-JWM-13.12, PRA, Upup Precise, Tahr Puppy, Runtu 14.04 XFCE.

Оффлайн valentin

  • Ветеран
  • *****
  • Сообщений: 562
  • Репутация: +20/-0
Re:XFCE410 для дистрибутива 13.01
« Ответ #8 : 04 Февраль 2013, 18:37:36 »
Цитировать
xfce4-panel: error while loading shared libraries: libEGL.so.1: cannot open shared object file: No such file or directory
нестрашно, Mesa будет - уйдет ошибка.
:-\ В packages лежит Mesa-full-7.11.2-2-i486.pfs

 RoDoN:
Цитировать
- Корзины нет в панели, хоть место для нее есть рядом с индикатором батареи и на раб.стол корзина тоже не добавляется.
Для Корзины надо в packages положить gvfs-1.13.1-i486.pfs  из 12.12
« Последнее редактирование: 04 Февраль 2013, 18:45:22 от valentin »
Система:  Athlon XP 2500+  512RAM  Radeon9600

Оффлайн andy-voit

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 1251
  • Репутация: +60/-0
  • Расту!!!
Re:XFCE410 для дистрибутива 13.01
« Ответ #9 : 04 Февраль 2013, 19:55:17 »
Ну да у меня gvfs отдельным модулем лежит. Уж слишком часто обновлялось за последние два года. По идее наверное надо бы скрестить с модулем xfce
« Последнее редактирование: 04 Февраль 2013, 19:57:42 от andy-voit »
XFCE forever!!!
Перешел на приставку 3vi. Теперь издеваюсь над ней! :)

Оффлайн RoDoN

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 5544
  • Репутация: +122/-0
    • RoDoN
Re:XFCE410 для дистрибутива 13.01
« Ответ #10 : 04 Февраль 2013, 22:04:33 »
Насчет корзины и gvfs понял, спасибо, буду пробовать.

Acer Aspire One AO751h (Atom Z520, Intel GMA500)
Acer Extensa 5620Z (T7500, Intel 965GM)
PuppyRus-JWM-13.12, PRA, Upup Precise, Tahr Puppy, Runtu 14.04 XFCE.

Оффлайн valentin

  • Ветеран
  • *****
  • Сообщений: 562
  • Репутация: +20/-0
Re:XFCE410 для дистрибутива 13.01
« Ответ #11 : 04 Февраль 2013, 22:18:48 »
Ну да у меня gvfs отдельным модулем лежит. Уж слишком часто обновлялось за последние два года. По идее наверное надо бы скрестить с модулем xfce
Может просто в шапке темы указать, что обязателен   ;) , а также куда положить и где взять.
 И еще - Нужны ли в системе с XFCE  файлы :/root/.gtkrc-2.0 ;/root/.gtkrc.mine;.gtkrc.mine-make ?  Без них тоже работает  и ругани в xerrs.log меньше  :) .
« Последнее редактирование: 05 Февраль 2013, 00:05:08 от valentin »
Система:  Athlon XP 2500+  512RAM  Radeon9600

Оффлайн andy-voit

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 1251
  • Репутация: +60/-0
  • Расту!!!
Re:XFCE410 для дистрибутива 13.01
« Ответ #12 : 05 Февраль 2013, 02:28:00 »
абсолютно не нужны. Надо только найти их, в каком они пакете.

Перезалил модуль xfce - встроил gvfs-1.13.1 внутрь. Поскольку без замены glib пакет gvfs  более высшей версии все равно не собрать
Заодно почистил пакет gtk - убрал каталог root - содержащиеся в нем файлы не используются в xfce.

Ссылка в шапке темы.
« Последнее редактирование: 05 Февраль 2013, 04:45:03 от andy-voit »
XFCE forever!!!
Перешел на приставку 3vi. Теперь издеваюсь над ней! :)

Оффлайн valentin

  • Ветеран
  • *****
  • Сообщений: 562
  • Репутация: +20/-0
Re:XFCE410 для дистрибутива 13.01
« Ответ #13 : 05 Февраль 2013, 21:45:31 »
Во всех вариантах puppyrus-xfce-13.01.pfs При щелчке ЛКМ на .sfs модуле появляется диалог : подключить, установить,просмотреть. Выбираю подключить, - все нормально, монтирует. Но при повторном щелчке ЛКМ   не отключает, а снова выдает диалог : подключить, установить, просмотреть .  Через Меню приложений-Модули SFS  - все нормально работает  , "косячит " именно в mnt_sfs
Система:  Athlon XP 2500+  512RAM  Radeon9600

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10022
  • Репутация: +103/-0
Re:XFCE410 для дистрибутива 13.01
« Ответ #14 : 06 Февраль 2013, 03:33:54 »
абсолютно не нужны. Надо только найти их, в каком они пакете.

Перезалил модуль xfce - встроил gvfs-1.13.1 внутрь. Поскольку без замены glib пакет gvfs  более высшей версии все равно не собрать
Заодно почистил пакет gtk - убрал каталог root - содержащиеся в нем файлы не используются в xfce.
то что файлы из пакета gtk не нужны xfce - еще не значит что они не нужны другим программам. Я не рекомендую вносить изменения в пакет gtk. Используйте стандартный - будет легче.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.